# Generated by Django 3.2.4 on 2021-09-14 13:29

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        migrations.swappable_dependency("auth"),
        migrations.swappable_dependency("contenttypes"),
    ]

    operations = [
        migrations.CreateModel(
            name="KanboardConfig",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("base_url", models.URLField(blank=True, verbose_name="URL du serveur kanboard")),
                ("username", models.CharField(blank=True, max_length=255, verbose_name="nom d’utilisateur")),
                ("token", models.CharField(blank=True, max_length=255, verbose_name="jeton")),
                (
                    "template_prefix",
                    models.CharField(
                        blank=True,
                        help_text="Les modèles de projets sont sélectionnées dans Kanboard en utilisant préfixe indiqué.",
                        max_length=255,
                        verbose_name="préfixe du modèle",
                    ),
                ),
            ],
            options={
                "verbose_name": "Config du Kanboard",
                "verbose_name_plural": "Configs du Kanboard",
            },
        ),
        migrations.CreateModel(
            name="ProjectTemplate",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created_at", models.DateTimeField(auto_now_add=True, verbose_name="créé le")),
                ("updated_at", models.DateTimeField(auto_now=True, verbose_name="mis à jour le")),
                ("name", models.CharField(max_length=255, verbose_name="nom")),
                ("description", models.TextField(blank=True, default="", null=True, verbose_name="description")),
                ("kanboard_project_id", models.PositiveIntegerField(verbose_name="identifiant du gabarit de projet")),
                (
                    "created_by",
                    models.ForeignKey(
                        default=1,
                        editable=False,
                        on_delete=django.db.models.deletion.SET_DEFAULT,
                        related_name="django_kanboard_projecttemplate_owned",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="ajouté par",
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="django_kanboard_projecttemplate_updated",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="mis à jour par",
                    ),
                ),
            ],
            options={
                "verbose_name": "Gabarit de projet",
                "verbose_name_plural": "Gabarits de projet",
            },
        ),
        migrations.CreateModel(
            name="Project",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created_at", models.DateTimeField(auto_now_add=True, verbose_name="créé le")),
                ("updated_at", models.DateTimeField(auto_now=True, verbose_name="mis à jour le")),
                ("object_id", models.PositiveIntegerField(verbose_name="entité liée")),
                (
                    "kanboard_project_id",
                    models.PositiveIntegerField(verbose_name="identification du projet dans Kanboard"),
                ),
                ("board_url", models.URLField(blank=True, verbose_name="URL du tableau")),
                ("calendar_url", models.URLField(blank=True, verbose_name="URL du calendrier")),
                ("list_url", models.URLField(blank=True, verbose_name="URL de la liste")),
                (
                    "content_type",
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="contenttypes.contenttype"),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        default=1,
                        editable=False,
                        on_delete=django.db.models.deletion.SET_DEFAULT,
                        related_name="django_kanboard_project_owned",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="ajouté par",
                    ),
                ),
                (
                    "project_template",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_kanboard.projecttemplate",
                        verbose_name="gabarit de projet",
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="django_kanboard_project_updated",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="mis à jour par",
                    ),
                ),
            ],
            options={
                "verbose_name": "projet lié",
                "verbose_name_plural": "projets liés",
            },
        ),
        migrations.CreateModel(
            name="KanboardUser",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("kanboard_user_id", models.PositiveIntegerField(verbose_name="utilisateur dans Kanboard")),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="kanboard_user",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="utilisateur",
                    ),
                ),
            ],
            options={
                "verbose_name": "utilisateur dans Kanboard",
                "verbose_name_plural": "utilisateurs dans Kanboard",
            },
        ),
        migrations.CreateModel(
            name="KanboardGroup",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("kanboard_group_id", models.PositiveIntegerField(verbose_name="Identification du groupe kanboard")),
                (
                    "group",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="kanboard_group",
                        to="auth.group",
                        verbose_name="groupe",
                    ),
                ),
            ],
            options={
                "verbose_name": "groupe dans Kanboard",
                "verbose_name_plural": "groupes dans Kanboard",
            },
        ),
    ]
